%define upstream_name    Meta-Builder
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Utility functions for Meta::Builder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Meta/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Fennec::Lite)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Meta programming is becoming more and more popular. The popularity of Meta
programming comes from the fact that many problems are made significantly
easier. There are a few specialized Meta tools out there, for instance
Class:MOP which is used by Moose to track class
metadata.

Meta::Builder is designed to be a generic tool for writing Meta objects.
Unlike specialized tools, Meta::Builder makes no assumptions about what
metrics you will care about. Meta::Builder also makes it simple for others
to extend your meta-object based tools by providing hooks for other
packages to add metrics to your meta object.

If a specialized Meta object tool is available ot meet your needs please
use it. However if you need a simple Meta object to track a couple metrics,
use Meta::Builder.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.4.0-4.mga10
+ Revision: 2205164
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.4.0-3.mga9
+ Revision: 1811048
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1520148
- Mageia 8 Mass Rebuild

* Tue Nov 06 2018 tv <tv> 0.4.0-1.mga7
+ Revision: 1328661
- restore BR on perl(Module::Build)
- update to 0.004

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-8.mga7
+ Revision: 1269252
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-7.mga6
+ Revision: 1029880
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 930209
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 745903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 685394
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 512969
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 369697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- adding missing buildrequires:
- imported package perl-Meta-Builder


* Sat Aug 20 2011 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
